services:
  signal-cli-rest-api:
    image: registry.gitlab.com/digiresilience/link/link-stack/signal-cli-rest-api:develop
    platform: linux/amd64
    environment:
      - MODE=json-rpc
    volumes:
      - signal-cli-rest-api-data:/home/.local/share/signal-cli
    ports:
      - 8080:8080

volumes:
  signal-cli-rest-api-data:
    driver: local
